<?php

namespace local_treestudyplan;


class success {
    private $success;
    private $msg;

    public static function success($msg=""){
        return new self(true,$msg);
    }

    public static function fail($msg=""){
        return new self(false,$msg);
    }

    public function __construct($success,$msg){
        $this->success = ($success)?true:false;
        $this->msg = $msg;
    }

    public static function structure()
    {
        return new \external_single_structure([
            "success" => new \external_value(PARAM_BOOL, 'operation completed succesfully'),
            "msg" => new \external_value(PARAM_TEXT, 'message'),
        ]);
    }

    public function model() {
        return ["success" => $this->success, "msg"=> $this->msg];
    }

    public function successful(){
        return $this->success;
    }

    public function msg(){
        return $this->msg;
    }



}